ReflectionZendExtension::__toString
ReflectionExtension::__clone
Reflection
PHP Manual

# The ReflectionExtension class

(PHP 5)

## Introduction

The ReflectionExtension class reports information about an extension.

## Class synopsis

ReflectionExtension implements Reflector {
/* Properties */
public $name ;
/* Methods */
final private void __clone ( void )
public __construct ( string `$name` )
public static string export ( string `$name` [, string `$return` = false ] )
public array getClasses ( void )
public array getClassNames ( void )
public array getConstants ( void )
public array getDependencies ( void )
public array getFunctions ( void )
public array getINIEntries ( void )
public string getName ( void )
public string getVersion ( void )
public void info ( void )
public void isPersistent ( void )
public void isTemporary ( void )
public string __toString ( void )
}

## Properties

name

  Name of the extension, same as calling the ReflectionExtension::getName() method.

## Table of Contents

- ReflectionExtension::__clone — Clones
- ReflectionExtension::__construct — Constructs a ReflectionExtension
- ReflectionExtension::export — Export
- ReflectionExtension::getClasses — Gets classes
- ReflectionExtension::getClassNames — Gets class names
- ReflectionExtension::getConstants — Gets constants
- ReflectionExtension::getDependencies — Gets dependencies
- ReflectionExtension::getFunctions — Gets extension functions
- ReflectionExtension::getINIEntries — Gets extension ini entries
- ReflectionExtension::getName — Gets extension name
- ReflectionExtension::getVersion — Gets extension version
- ReflectionExtension::info — Print extension info
- ReflectionExtension::isPersistent — Returns whether this extension is persistent
- ReflectionExtension::isTemporary — Returns whether this extension is temporary
- ReflectionExtension::__toString — To string

ReflectionZendExtension::__toString
ReflectionExtension::__clone
Reflection
PHP Manual